Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160418 - Error in RHEL3-U4-errata python python-2.2-xmlfix.patch
Summary: Error in RHEL3-U4-errata python python-2.2-xmlfix.patch
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: python
Version: 3.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Mihai Ibanescu
QA Contact: Brock Organ
URL:
Whiteboard: RHEL3U7NAK
Depends On:
Blocks: 170417
TreeView+ depends on / blocked
 
Reported: 2005-06-14 23:34 UTC by Dan Williams
Modified: 2013-04-12 17:16 UTC (History)
3 users (show)

Fixed In Version: RHSA-2006-0713
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-10-09 21:54:06 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0713 high SHIPPED_LIVE Important: python security update 2006-10-09 21:54:04 UTC

Description Dan Williams 2005-06-14 23:34:04 UTC
In the RHEL3-U4-errata version of python that got pushed out, there's a small
error in python-2.2-xmlfix.patch that causes python XMLRPC servers to reject all
method calls, which means the XMLRPC server us pretty much useless.  The actual
error/traceback is covered up by the try/except block.

--- 161,168 ----
                      try:
                          func = _resolve_dotted_attribute(
                              self.server.instance,
!                             method,
!                             self.allow_dotted_names
                              )
                      except AttributeError:
                          pass

This comes from SimpleXMLRPCRequestHandler._dispatch() method, but
SimpleXMLRPCRequestHandler doesn't have the "allow_dotted_names" variable. 
SimpelXMLRPCServer does.  So the correct fix is:

--- 161,168 ----
                      try:
                          func = _resolve_dotted_attribute(
                              self.server.instance,
!                             method,
!                             self.server.allow_dotted_names
                              )
                      except AttributeError:
                          pass

(self.allow_dotted_names -> self.server.allow_dotted_names)

Comment 1 Dan Williams 2005-06-14 23:37:29 UTC
The error you get when you remove the try/except block is to see what's really
happening is:

xmlrpclib.Fault: <Fault 1: "exceptions.AttributeError:SimpleXMLRPCRequestHandler
instance has no attribute 'allow_dotted_names'">



Comment 11 Mihai Ibanescu 2006-08-16 12:49:23 UTC
*** Bug 202713 has been marked as a duplicate of this bug. ***

Comment 21 Red Hat Bugzilla 2006-10-09 21:54:07 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0713.html



Note You need to log in before you can comment on or make changes to this bug.